package com.nisum.pompagefactory.practice;

import org.junit.jupiter.api.*;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import static org.junit.jupiter.api.Assertions.assertEquals;

class SafewayLogin {

	@Test
	public void testSafewayLogin() throws InterruptedException {
		System.setProperty("webdriver.chrome.driver", "/Users/spangburn/Desktop/nisum_learning/drivers/chromedriver");
		WebDriver driver = new ChromeDriver();

		driver.get("https://www.safeway.com/");
		Thread.sleep(1000);

		WebElement signInDropdown = driver.findElement(By.linkText("Sign In / Up"));
		signInDropdown.click();
		Thread.sleep(1000);

		WebElement signInButton = driver.findElement(By.id("sign-in-modal-link"));
		signInButton.click();
		Thread.sleep(2000);

		WebElement trySignIn = driver.findElement(By.id("btnSignIn"));
		trySignIn.click();
		Thread.sleep(5000);

		WebElement failedText1 = driver.findElement(By.xpath("//*[@id=\"errorMsgEmail\"]/ul/li"));
		WebElement failedText2 = driver.findElement(By.xpath("//*[@id=\"errorMsgPwd\"]/ul/li"));
		assertEquals("Please enter your email address.", failedText1.getText());
		assertEquals("Please enter a password.", failedText2.getText());

		driver.quit();
	}

}
